Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class BooleanFieldDef

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.FieldDef
              com.gwtext.client.data.BooleanFieldDef

    public class BooleanFieldDef

extends FieldDef

Field that represents boolean data.

Since:
  0.9

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`BooleanFieldDef(java.lang.String name)` Construct a new BooleanFieldDef.
`BooleanFieldDef(java.lang.String name, int mapping)` Construct a new BooleanFieldDef
`BooleanFieldDef(java.lang.String name, int mapping, Converter converter)` Construct a new BooleanFieldDef
`BooleanFieldDef(java.lang.String name, java.lang.String mapping)` Construct a new BooleanFieldDef
`BooleanFieldDef(java.lang.String name, java.lang.String mapping, Converter converter)` Construct a new BooleanFieldDef

Method Summary

Methods inherited from class com.gwtext.client.data.FieldDef
`getName`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BooleanFieldDef

    public BooleanFieldDef(java.lang.String name)

  Construct a new BooleanFieldDef.

  Parameters:
    `name` - the name of field

### BooleanFieldDef

    public BooleanFieldDef(java.lang.String name,
                           java.lang.String mapping)

  Construct a new BooleanFieldDef

  Parameters:
    `name` - the name of field
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML

### BooleanFieldDef

    public BooleanFieldDef(java.lang.String name,
                           int mapping)

  Construct a new BooleanFieldDef

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when reading from XML

### BooleanFieldDef

    public BooleanFieldDef(java.lang.String name,
                           int mapping,
                           Converter converter)

  Construct a new BooleanFieldDef

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when readinf from XML
    `converter` - format the incoming data before processing it

### BooleanFieldDef

    public BooleanFieldDef(java.lang.String name,
                           java.lang.String mapping,
                           Converter converter)

  Construct a new BooleanFieldDef

  Parameters:
    `name` - the field name
    `mapping` - the field mapping. Depending on the Reader used, mapping could be the array index position or an XPath expression when readinf from XML
    `converter` - format the incoming data before processing it

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD